%bz=int2bin(iz)
%converts row vector of discrete random data
%from integer index format
%to binary 1-of-M representation, i.e.
%bz(iz(n),n)==1 & bz(j~=iz(n),n)==0
%
%Arne Leijon, 2007-05-23

function bz=int2bin(iz)
iz=round(iz);%make sure it is integer
if any(iz<1)
    error('Input vector must be integer indices >=1');
end;
bz=sparse(iz,1:length(iz),1);