%function X=decode(vq,iX);
%decode VQ index vector iX
%
%Input:
%vq=    the vq object
%iX=    row vector with code indices
%
%Result:
%X= corresponding output data vectors.
%
%Arne Leijon 2006-03-31 tested

function X=decode(vq,iX);
if prod(size(vq))>1
    error('Method works only for single object');end;
if any(iX<1) | any(iX)> size(vq.CodeBook,2)
    error('Non-existent code value');
else
    X=vq.CodeBook(:,iX);%just look up VQ cluster centres
end;
