%iz=bin2int(bz)
%converts row vector of discrete random data
%from binary 1-of-M representation
%to integer index format, i.e.
%bz(iz(n),n)==1 for exactly one index iz(n)
%
%Arne Leijon, 2007-05-23

function iz=bin2int(bz)
if any(sum(bz,1)>1)
    error('Input column vectors must be binary 1-of-M');
end;
iz=(1:size(bz,1))*bz;
